For the complete documentation index, see llms.txt. This page is also available as Markdown.

确认订单

Atlas API 确认订单端点参考,用于完成需要订单确认步骤的航空公司预订流程。

💬 需要帮助? 如果遇到问题,请在帮助中心咨询 Eva,快速获取诊断建议。

咨询 Eva

在指南和链接中使用 确认订单 作为主要名称。

此 API 映射到 orderCommit.do

旧版资料可能称之为 Order Commit(订单提交)。

Order Commit

post

This API is only required in the FR integration process. After create an order and before payment, you need to call this API to obtain the link of the FR order confirmation page and display it to users. Users should confirm the order through this page, and finally customer pay to Atlas.

Endpoint: https://sandbox.atriptech.com/orderCommit.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredDefault: gzipExample: gzip
x-atlas-client-idstringRequiredDefault: <YOUR_CLIENT_ID>Example: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredDefault: <YOUR_CLIENT_SECRET>Example: <YOUR_CLIENT_SECRET>
Body
orderNostringRequired

Order number

redirectUristring · nullableOptional

The redirect localtion to which when users confirm an order on the FR's confirmation page. If you choose to display the confirmation page in Popup mode, please specify this.

iframestring · nullableOptional

If you want to display the FR's order confirmation page in iframe mode, please specify iframe=true, and in this case, the redirectUri will be ignored.

timeoutinteger · nullableOptional

Maximum response time of the API in milliseconds.

Default: 8000
Responses
200Success
application/json
statusinteger · enumRequired
  • 307: illegal booking request param
  • 800: order not exists
  • 316: timed out
  • 317: airline error
Possible values:
msgstring · nullableOptional

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

confirmationUrlstringRequired

The FR order confirmation page link.

post/orderCommit.do
200Success

Last updated

Was this helpful?